Skip to content

playerLiveness

POST
/api/v1/player/liveness
curl --request POST \
--url https://example.com/api/v1/player/liveness \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'

Records authenticated Player contact for background liveness. This endpoint intentionally accepts no playback snapshot and cannot change the current manifest, content, version, cache policy, or playback state.

Media typeapplication/json
object
Examplegenerated
{}

Liveness contact accepted

Media typeapplication/json
object
data
required
object
accepted
required
boolean
Examplegenerated
{
"data": {
"accepted": true
}
}

Credential invalid or revoked

Screen disabled